Last modified: 2013-06-08 15:25:08 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 19177 - Invalid HTML when using some math formulas
Invalid HTML when using some math formulas
Status: NEW
Product: MediaWiki
Classification: Unclassified
Parser (Other open bugs)
1.15.x
All All
: Low normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: html well-formedness
  Show dependency treegraph
 
Reported: 2009-06-12 20:31 UTC by Raphael Champeimont
Modified: 2013-06-08 15:25 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Raphael Champeimont 2009-06-12 20:31:27 UTC
Found under MediaWiki 1.15

To reproduce:
1. Make a page with "<math>\int_A</math>" as its only content.
2. In LocalSettings.php set wgMimeType to "application/xhtml+xml"
3. Go to the created page.
You get a parse error because an element is not closed, in this piece of code:
"<p><span class="texhtml"></p>"
The problem is the not closed span.
Comment 1 Brion Vibber 2009-06-23 00:48:36 UTC
Works for me... I never even get this span in my output, can you clarify?
Comment 2 Raphael Champeimont 2009-06-23 11:05:47 UTC
Well, you can look at that page on my wiki, which consists only of the wiki code <math>\int_A</math>:
http://www.almacha.org/achawiki/index.php?title=XHTML_test_fail
Comment 3 Alexandre Emsenhuber [IAlex] 2009-08-26 20:02:41 UTC
The problem is not that the span is not closed, but that there is a <p></p> arround it. See the complete source:
<p><span class="texhtml">
</p>
<table>
		<tr style='text-align: center;'><td><span style='font-size: x-large; font-family: serif;'>&int;</span></td></tr>
		<tr style='text-align: center; vertical-align: top;'><td><i>A</i></td></tr>
</table>
<p></span>
</p>

Could reproduce locally if tidy is disabled.
Comment 4 Raphael Champeimont 2009-08-26 21:31:35 UTC
Ok. So is it not a bug because I should use tidy if I want XHTML or is it still a bug because it should nevertheless produce correct XHTML?
Comment 5 Alexandre Emsenhuber [IAlex] 2009-08-27 06:33:00 UTC
This is a bug because it should produce correct XHTML. :)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links